Create a file record and get presigned upload URL
curl --request POST \
--url https://api.artu.ai/custom-reference-data/sources/{sourceId}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"sheetName": "<string>"
}
'import requests
url = "https://api.artu.ai/custom-reference-data/sources/{sourceId}/files"
payload = {
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"sheetName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({filename: '<string>', contentType: '<string>', size: 0, sheetName: '<string>'})
};
fetch('https://api.artu.ai/custom-reference-data/sources/{sourceId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/custom-reference-data/sources/{sourceId}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filename' => '<string>',
'contentType' => '<string>',
'size' => 0,
'sheetName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/custom-reference-data/sources/{sourceId}/files"
payload := strings.NewReader("{\n \"filename\": \"<string>\",\n \"contentType\": \"<string>\",\n \"size\": 0,\n \"sheetName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/custom-reference-data/sources/{sourceId}/files")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filename\": \"<string>\",\n \"contentType\": \"<string>\",\n \"size\": 0,\n \"sheetName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/custom-reference-data/sources/{sourceId}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filename\": \"<string>\",\n \"contentType\": \"<string>\",\n \"size\": 0,\n \"sheetName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"contentType": "<string>",
"size": 123,
"status": "pending_upload",
"sheetName": "<string>",
"rowCount": 0,
"errorMessage": "<string>",
"snapshotAt": "2023-11-07T05:31:56Z",
"analysisStatus": "pending",
"analysisResult": {
"headerRow": 4503599627370495,
"dataStartRow": 4503599627370495,
"dataEndRow": 4503599627370495,
"skipRows": [
4503599627370495
],
"columns": [
{
"originalName": "<string>",
"key": "<string>",
"label": "<string>",
"type": "string",
"description": "<string>",
"ignored": false,
"transform": "<string>"
}
],
"sampleRows": [
{}
],
"confidence": 0.5,
"estimatedRowCount": 4503599627370495
},
"availableSheets": [
"<string>"
],
"conversationHistory": [
{
"role": "user",
"content": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"uploadUrl": "<string>"
}Custom Reference Data
Create a file record and get presigned upload URL
POST
/
custom-reference-data
/
sources
/
{sourceId}
/
files
Create a file record and get presigned upload URL
curl --request POST \
--url https://api.artu.ai/custom-reference-data/sources/{sourceId}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"sheetName": "<string>"
}
'import requests
url = "https://api.artu.ai/custom-reference-data/sources/{sourceId}/files"
payload = {
"filename": "<string>",
"contentType": "<string>",
"size": 0,
"sheetName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({filename: '<string>', contentType: '<string>', size: 0, sheetName: '<string>'})
};
fetch('https://api.artu.ai/custom-reference-data/sources/{sourceId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/custom-reference-data/sources/{sourceId}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filename' => '<string>',
'contentType' => '<string>',
'size' => 0,
'sheetName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/custom-reference-data/sources/{sourceId}/files"
payload := strings.NewReader("{\n \"filename\": \"<string>\",\n \"contentType\": \"<string>\",\n \"size\": 0,\n \"sheetName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/custom-reference-data/sources/{sourceId}/files")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filename\": \"<string>\",\n \"contentType\": \"<string>\",\n \"size\": 0,\n \"sheetName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/custom-reference-data/sources/{sourceId}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filename\": \"<string>\",\n \"contentType\": \"<string>\",\n \"size\": 0,\n \"sheetName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"contentType": "<string>",
"size": 123,
"status": "pending_upload",
"sheetName": "<string>",
"rowCount": 0,
"errorMessage": "<string>",
"snapshotAt": "2023-11-07T05:31:56Z",
"analysisStatus": "pending",
"analysisResult": {
"headerRow": 4503599627370495,
"dataStartRow": 4503599627370495,
"dataEndRow": 4503599627370495,
"skipRows": [
4503599627370495
],
"columns": [
{
"originalName": "<string>",
"key": "<string>",
"label": "<string>",
"type": "string",
"description": "<string>",
"ignored": false,
"transform": "<string>"
}
],
"sampleRows": [
{}
],
"confidence": 0.5,
"estimatedRowCount": 4503599627370495
},
"availableSheets": [
"<string>"
],
"conversationHistory": [
{
"role": "user",
"content": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"uploadUrl": "<string>"
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
Body
application/json
Was this page helpful?
